---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 08
    LastMadeUpDate: 31/08/2022
    NextDueDate: 31/05/2024
  CompanyCategory: Private Limited Company
  CompanyName: TIMBERS BUILDING LTD
  CompanyNumber: 09616806
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 01/06/2015
  RegAddress:
    AddressLine1: DANCING DOWN
    AddressLine2: NEWTON
    PostTown: KINGTON
    County: HEREFORDSHIRE
    Country: ENGLAND
    Postcode: HR5 3NG
  Returns:
    LastMadeUpDate: 31/05/2023
    NextDueDate: 14/06/2024
  SICCodes:
    SicText:
      - '41202 - Construction of domestic buildings'
